var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

// external imports
import React from 'react';
import View from 'react-native-web/dist/components/View';
import StyleSheet from 'react-native-web/dist/apis/StyleSheet';
// local imports

import { grey2 } from '../../styles';

const Card = (_ref) => {
    let { style } = _ref,
        unused = _objectWithoutProperties(_ref, ['style']);

    return React.createElement(View, _extends({ style: [styles.container, style] }, unused));
};

const styles = StyleSheet.create({
    container: {
        flex: 1,
        backgroundColor: 'white',
        borderRadius: 2,
        borderStyle: 'solid',
        borderWidth: 1,
        borderColor: grey2,
        shadowColor: grey2,
        shadowOpacity: 0.54,
        shadowRadius: 4,
        shadowOffset: { width: 2, height: 2 }
    }
});

export default Card;