function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

// external imports
import React from 'react';
import Text from 'react-native-web/dist/components/Text';
// local imports

import CardGrid from './';
import { Card } from 'quark-core/components/card';

import renderer from 'react-test-renderer';

// the subject of our test
const Subject = (_ref) => {
    let unused = _objectWithoutProperties(_ref, []);

    return React.createElement(
        CardGrid,
        unused,
        React.createElement(
            Card,
            null,
            React.createElement(
                Text,
                null,
                'hello'
            )
        ),
        React.createElement(
            Card,
            null,
            React.createElement(
                Text,
                null,
                'hello'
            )
        ),
        React.createElement(
            Card,
            null,
            React.createElement(
                Text,
                null,
                'hello'
            )
        ),
        React.createElement(
            Card,
            null,
            React.createElement(
                Text,
                null,
                'hello'
            )
        ),
        React.createElement(
            Card,
            null,
            React.createElement(
                Text,
                null,
                'hello'
            )
        )
    );
};

it('defaults to 3 columns', () => {
    const rendered = renderer.create(React.createElement(Subject, null)).toJSON();
    expect(rendered).toMatchSnapshot();
});

it('supports specifying number of columns', () => {
    const rendered = renderer.create(React.createElement(Subject, { nCols: 2 })).toJson();
    expect(rendered).toMatchSnapshot();
});