function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

// external imports
import React from 'react';
import View from 'react-native-web/dist/components/View';
import Text from 'react-native-web/dist/components/Text';
import StyleSheet from 'react-native-web/dist/apis/StyleSheet';


const Label = (_ref) => {
    let { children, value, textStyle } = _ref,
        unused = _objectWithoutProperties(_ref, ['children', 'value', 'textStyle']);

    return React.createElement(
        View,
        unused,
        React.createElement(
            View,
            { style: styles.labelContainer },
            React.createElement(
                Text,
                { style: [styles.labelText, textStyle] },
                value
            )
        ),
        children
    );
};

const styles = StyleSheet.create({
    container: {},
    labelContainer: {
        marginBottom: 8
    },
    labelText: {
        fontWeight: '100',
        fontSize: 18
    }
});

export default Label;