var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

// external imports
import React from 'react';
import View from 'react-native-web/dist/components/View';
import StyleSheet from 'react-native-web/dist/apis/StyleSheet';
import Text from 'react-native-web/dist/components/Text';
import TouchableWithoutFeedback from 'react-native-web/dist/components/Touchable/TouchableWithoutFeedback';
// local imports

import { baseDim, grey2 } from 'quark-core/styles';

const AppBar = (_ref) => {
    let { style, statusBarStyle, onPress } = _ref,
        unused = _objectWithoutProperties(_ref, ['style', 'statusBarStyle', 'onPress']);

    return React.createElement(View, _extends({ style: [styles.container, style] }, unused));
};

const styles = StyleSheet.create({
    container: {
        display: 'flex',
        justifyContent: 'center',
        alignItems: 'flex-start',
        height: 16 * baseDim,
        width: '100%',
        borderBottomWidth: 1,
        borderBottomColor: grey2,
        borderStyle: 'solid',
        paddingLeft: 5 * baseDim,
        paddingRight: 5 * baseDim
    }
});

export default AppBar;