function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

// external imports
import React from 'react';
import PropTypes from 'prop-types';
// local imports
import FreeState from '../Free';

const BooleanState = (_ref) => {
    let { children } = _ref,
        unused = _objectWithoutProperties(_ref, ['children']);

    return React.createElement(
        FreeState,
        unused,
        ({ state, set }) => React.Children.only(children({
            state,
            set: val => set(Boolean(val)),
            toggle: () => set(!state)
        }))
    );
};

BooleanState.propTypes = {
    children: PropTypes.func.isRequired
};

export default BooleanState;