var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

// external imports
import StyleSheet from 'react-native-web/dist/apis/StyleSheet';
// local imports

import { baseDim, primaryFont } from '../styles';

const reset = {
    margin: 0
};
export default StyleSheet.create({
    h1: _extends({}, primaryFont, reset, {
        fontSize: 45,
        marginBottom: 4 * baseDim
    }),
    h2: _extends({}, primaryFont, reset, {
        fontSize: 30,
        marginBottom: 3 * baseDim
    }),
    h3: _extends({}, reset, {
        margin: 0,
        fontSize: 24,
        marginBottom: 3 * baseDim
    }),
    title: _extends({}, primaryFont, reset, {
        fontSize: 18,
        marginBottom: 2 * baseDim
    }),
    subtitle: _extends({}, primaryFont, reset, {
        fontSize: 16,
        marginBottom: 1 * baseDim
    }),
    text: _extends({}, primaryFont, {
        fontSize: 14
    }),
    link: _extends({}, primaryFont, {
        fontSize: 14
    })
});