var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

// external imports
import React from 'react';
import Text from 'react-native-web/dist/components/Text';
// local imports

import Base from './Base';
import { textSizes } from './styles';

const ButtonWithText = (_ref) => {
    let {
        size,
        textColor,
        textStyle,
        children
    } = _ref,
        unused = _objectWithoutProperties(_ref, ['size', 'textColor', 'textStyle', 'children']);

    return React.createElement(
        Base,
        _extends({ size: size }, unused),
        React.createElement(
            Text,
            { style: [textSizes[size], { color: textColor }, textStyle] },
            children
        )
    );
};

ButtonWithText.defaultProps = {
    size: 'medium'
};

export default ButtonWithText;