function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

// external imports
import React from 'react';
import View from 'react-native-web/dist/components/View';
import Text from 'react-native-web/dist/components/Text';
import StyleSheet from 'react-native-web/dist/apis/StyleSheet';


const CardPlaceholder = (_ref) => {
    let { style } = _ref,
        unused = _objectWithoutProperties(_ref, ['style']);

    return React.createElement(View, { style: [styles.container, style] });
};

const styles = StyleSheet.create({
    container: {
        flex: 1
    }
});

export default CardPlaceholder;