var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

// external imports
import React from 'react';
import View from 'react-native-web/dist/components/View';
import StyleSheet from 'react-native-web/dist/apis/StyleSheet';
// local imports

import { grey2, baseDim } from 'quark-core/styles';

const TableRow = (_ref) => {
    let { style, last } = _ref,
        unused = _objectWithoutProperties(_ref, ['style', 'last']);

    return React.createElement(View, _extends({ style: [styles.container, last && styles.last, style] }, unused));
};

export const styles = StyleSheet.create({
    container: {
        display: 'flex',
        flexDirection: 'row',
        paddingTop: 2 * baseDim,
        paddingBottom: 2 * baseDim,
        borderBottomWidth: 1,
        borderColor: grey2,
        height: 40
    },
    last: {
        borderBottomWidth: 0
    }
});

export default TableRow;