var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

// external imports
import React from 'react';
import NativeText from 'react-native-web/dist/components/Text';
// local imports

import { h1, h2, h3, title, subtitle, test, link } from '../../styles';
import styles from './styles';

const H1 = (_ref) => {
    let { style } = _ref,
        unused = _objectWithoutProperties(_ref, ['style']);

    return React.createElement(NativeText, _extends({ style: [h1, styles.h1, styles.reset, style] }, unused));
};

export { H1 };
const H2 = (_ref2) => {
    let { style } = _ref2,
        unused = _objectWithoutProperties(_ref2, ['style']);

    return React.createElement(NativeText, _extends({ style: [h2, styles.h2, styles.reset, style] }, unused));
};

export { H2 };
const H3 = (_ref3) => {
    let { style } = _ref3,
        unused = _objectWithoutProperties(_ref3, ['style']);

    return React.createElement(NativeText, _extends({ style: [h3, styles.h3, styles.reset, style] }, unused));
};

export { H3 };
const Title = (_ref4) => {
    let { style } = _ref4,
        unused = _objectWithoutProperties(_ref4, ['style']);

    return React.createElement(NativeText, _extends({
        style: [title, styles.title, styles.reset, style]
    }, unused));
};

export { Title };
const Subtitle = (_ref5) => {
    let { style } = _ref5,
        unused = _objectWithoutProperties(_ref5, ['style']);

    return React.createElement(NativeText, _extends({
        style: [subtitle, styles.subtitle, styles.reset, style]
    }, unused));
};

export { Subtitle };
const Text = (_ref6) => {
    let { style } = _ref6,
        unused = _objectWithoutProperties(_ref6, ['style']);

    return React.createElement(NativeText, _extends({ style: [text, styles.text, styles.reset, style] }, unused));
};

export { Text };
const Link = (_ref7) => {
    let { style } = _ref7,
        unused = _objectWithoutProperties(_ref7, ['style']);

    return React.createElement(NativeText, _extends({ style: [link, styles.link, styles.reset, style] }, unused));
};

export { Link };
const Monospace = (_ref8) => {
    let { style } = _ref8,
        unused = _objectWithoutProperties(_ref8, ['style']);

    return React.createElement(NativeText, _extends({ style: [link, styles.link, styles.reset, style] }, unused));
};
export { Monospace };