var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import { baseDim } from './dims';
import { grey5 } from './colors';

export const primaryFont = {
    fontWeight: '300',
    color: grey5
};

export const h1 = _extends({}, primaryFont, {
    fontSize: 45
});

export const h2 = _extends({}, primaryFont, {
    fontSize: 30
});

export const h3 = _extends({}, primaryFont, {
    fontSize: 24
});

export const title = _extends({}, primaryFont, {
    fontSize: 18
});

export const subtitle = _extends({}, primaryFont, {
    fontSize: 14
});

export const text = _extends({}, primaryFont, {
    fontWeight: 100,
    fontSize: 14
});

export const link = _extends({}, primaryFont, {
    fontWeight: 100,
    fontSize: 14
});